Name:           canl-c
Version:        2.1.1
Release:        1%{?dist}
Summary:        EMI Common Authentication library - bindings for C

License:        ASL 2.0
Url:            http://www.eu-emi.eu
Source:         http://scientific.zcu.cz/emi/emi.canl.c/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  c-ares-devel%{?_isa}
BuildRequires:  flex
BuildRequires:  krb5-devel%{?_isa}
BuildRequires:  libtool
BuildRequires:  openssl-devel%{?_isa}
BuildRequires:  pkgconfig
%if 0%{?fedora} >= 9 || 0%{?rhel} >= 6
BuildRequires:  tex(latex)
%else
BuildRequires:  tetex-latex
%endif
%if 0%{?fedora} >= 18
BuildRequires:  tex(comment.sty)
BuildRequires:  tex(lastpage.sty)
BuildRequires:  tex(multirow.sty)
BuildRequires:  tex(ptmr7t.tfm)
BuildRequires:  tex(phvr8t.tfm)
BuildRequires:  tex(psyr.tfm)
BuildRequires:  tex(pzcmi8r.tfm)
BuildRequires:  tex(ucrr8a.pfb)
%endif

%description
This is the C part of the EMI caNl -- the Common Authentication
Library.


%package        devel
Summary:        Development files for EMI caNl
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       krb5-devel%{?_isa}

%description    devel
This package contains development libraries and header files for EMI caNl.


%package        doc
Summary:        API documentation for EMI caNl
%if 0%{?fedora} >= 10 || 0%{?rhel} >= 6
BuildArch:      noarch
%endif

%description    doc
This package contains API documentation for EMI caNl.


%package        examples
Summary:        Example programs of EMI caNl
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    examples
This package contains client and server examples of EMI caNl.


%prep
%setup -q


%build
/usr/bin/perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module canl.c
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
# in -doc subpackage
rm -f $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/canl.pdf
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc LICENSE project/ChangeLog
%{_libdir}/libcanl_c.so.2
%{_libdir}/libcanl_c.so.2.*

%files devel
%{_includedir}/*.h
%{_libdir}/libcanl_c.so

%files doc
%doc canl.pdf

%files examples
%{_bindir}/*


%changelog
* Tue May 28 2013 František Dvořák <valtri@civ.zcu.cz> - 2.1.1-1
- New upstream version

* Thu Jan 31 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-1
- New upstream version
- Move API documentation to subpackage (devel subpackage multilib now)

* Wed Jan 22 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.3-1
- Initial package
